summaryrefslogtreecommitdiff
path: root/run
diff options
context:
space:
mode:
Diffstat (limited to 'run')
-rwxr-xr-xrun/benchmarks8
-rwxr-xr-xrun/tests4
2 files changed, 10 insertions, 2 deletions
diff --git a/run/benchmarks b/run/benchmarks
new file mode 100755
index 000000000..1138e9e0f
--- /dev/null
+++ b/run/benchmarks
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+set -e
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
+source $DIR/environment
+
+build/benchmark/image_benchmark
diff --git a/run/tests b/run/tests
index 1c1a4de11..84f93cefd 100755
--- a/run/tests
+++ b/run/tests
@@ -86,9 +86,9 @@ if [ "$(uname)" == "Darwin" ]; then
# We need to find ffcmp in here
export PATH=$PATH:$HOME/workspace/bin
if [ -d "$environment/$(uname -m)/11.0" ]; then
- export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$environment/$(uname -m)/11.0/lib
+ export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$environment/$(uname -m)/11.0/lib:$DIR/../../../lib
else
- export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$environment/$(uname -m)/10.10/lib
+ export DYLD_LIBRARY_PATH=$DYLD_LIBRARY_PATH:$environment/$(uname -m)/10.10/lib:$DIR/../../../lib
fi
fi